Subject: Re: bug#60501: 28.2; pr-interface: widget-default-create: Wrong type argument

From: Mauro Aranda <[email-masked]>
Date: Wed, 4 Jan 2023 12:21:55 -0300

Robert Pluim <[email-masked]> writes:

 >>>>>> On Mon, 02 Jan 2023 17:08:33 -0300, Fernando de Morais
 > <[email-masked]> said:
 >
 >     Fernando> To reproduce, which is possible with `emacs -Q', just:
 >     Fernando>    M-x pr-interface
 >
 > This has been broken for quite some time. Bisected to the following:
 >
 > commit cbd24607d7b7419eb0f639c95185aff13f99c10d
 >
 > Mauro, any chance you could take a look?
 >
 > Robert

Hi Robert,

thanks for CCing me.

I don't have a lot of time right now, but I took a look at the code in
printing.el and I don't really understand why its using :inline t
when creating the menu-choice widget, since the values seem to be
strings or symbols.  That is, nothing that needs to be inlined.

I wasn't aware of this breakage, of course, but it looks like I
should've made the code be more defensive (i.e., use car-safe instead of
car).

If I get more time, I'll try to see if that's a solution here.